Tirex::Backend::OpenSeaMap(3pm)

NAME
Tirex::Backend::OpenSeaMap - OpenSeaMap backend for Tirex

DESCRIPTION
This backend calls an external Java program to generate an OpenSeaMap meta tile. The Java program is here: https://svn.openstreetmap.org/applications/editors/josm/plugins/seachart/jrenderpgsql/

Config parameters for the map file:

dburl the JDBC database connection URL, with username and password if needed
jar the JAR file containing the JRenderPsql class to use
scalefactor the scale factor (defaults to 1.0)
tilesize the tile size (should be 256 * scalefactor to avoid issues)

METHODS

  $backend->init()
This method initializes things specific to this backend.

  $backend->check_map_config($map)

  $backend->create_metatile()
Create a metatile.